package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TUserRelation;

/**
 * 用户关联Service接口
 * 
 * @author zehong
 * @date 2023-07-11
 */
public interface ITUserRelationService 
{
    /**
     * 查询用户关联
     * 
     * @param relationId 用户关联ID
     * @return 用户关联
     */
    public TUserRelation selectTUserRelationById(Long relationId);

    /**
     * 查询用户关联列表
     * 
     * @param tUserRelation 用户关联
     * @return 用户关联集合
     */
    public List<TUserRelation> selectTUserRelationList(TUserRelation tUserRelation);

    /**
     * 新增用户关联
     * 
     * @param tUserRelation 用户关联
     * @return 结果
     */
    public int insertTUserRelation(TUserRelation tUserRelation);

    /**
     * 修改用户关联
     * 
     * @param tUserRelation 用户关联
     * @return 结果
     */
    public int updateTUserRelation(TUserRelation tUserRelation);

    /**
     * 批量删除用户关联
     * 
     * @param relationIds 需要删除的用户关联ID
     * @return 结果
     */
    public int deleteTUserRelationByIds(Long[] relationIds);

    /**
     * 删除用户关联信息
     * 
     * @param relationId 用户关联ID
     * @return 结果
     */
    public int deleteTUserRelationById(Long relationId);
}
